Subject: Re: [PATCH 0/5] New config option for git-grep to include untracked files

From: Junio C Hamano <[email-masked]>
Date: Mon, 18 Mar 2024 17:21:51 -0700

Dragan Simic <[email-masked]> writes:

> This patch series introduces new config option grep.includeUntracked,
> which makes the untracked files also searched by default when git-grep(1)
> is invoked, in addition to searching the tracked files.

Hmph.  I am moderately negative on any configuration that screws
with the default haystack from which needle is sought for.

I may often do "git grep --cached" but that does not mean I would
welcome an configuration option to make "git grep" search in the
index even when the request by the user does not have "--cached".

Inclusion of untracked sources in a sense is even worse, especially
when an unsuspecting "git grep" user (or a script) fully expects
that any paths found in the output are to be found in "git ls-files
-s" output but when you stray into a repository with the
configuration set, that expectation suddelnly gets broken.

So, I dunno.